Package org.apache.felix.http.base.internal.registry

## Class PathResolverFactory.PathMatcher

- java.lang.Object
- - org.apache.felix.http.base.internal.registry.PathResolverFactory.AbstractMatcher
  - - org.apache.felix.http.base.internal.registry.PathResolverFactory.PathMatcher

All Implemented Interfaces:
  `Comparable<PathResolver>`, `PathResolver`

Enclosing class:
  PathResolverFactory

    public static final class PathResolverFactory.PathMatcher
    extends PathResolverFactory.AbstractMatcher

### Constructor Summary

Constructors
`PathMatcher​(ServletHandler handler, String pattern)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getOrdering()`
`PathResolution` `resolve​(String uri)`

### Methods inherited from class org.apache.felix.http.base.internal.registry.PathResolverFactory.AbstractMatcher

`compareTo, equals, getPattern, getRanking, getServletHandler, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PathMatcher

    public PathMatcher​(ServletHandler handler,
                       String pattern)

### Method Detail

#### resolve

    public PathResolution resolve​(String uri)

#### getOrdering

    public int getOrdering()

Specified by:
  `getOrdering` in interface `PathResolver`
Overrides:
  `getOrdering` in class `PathResolverFactory.AbstractMatcher`